### Method

# Malcontent Manager get_web_filter_async

since: 0.14.0

#### Declaration [src]

    void
    mct_manager_get_web_filter_async (
      MctManager* self,
      uid_t user_id,
      MctManagerGetValueFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      void* user_data
    )

#### Description [src]

Asynchronously get a snapshot of the web filter settings for the given `user_id`.

On failure, a `MctManagerError`, a `GDBusError` or a `GIOErrorEnum` will be returned via `mct_manager_get_web_filter_finish()`.

Available since: 0.14.0

This method completes asynchronously. Use `mct_manager_get_web_filter_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`user_id`

  Type: `uid_t`

  ID of the user to query, typically coming from `getuid()`.

`flags`

  Type: `MctManagerGetValueFlags`

  Flags to affect the behaviour of the call.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  An asynchronous operation result callback.

  The argument can be `NULL`.

`user_data`

  Type: `void*`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.